
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:genetic_test')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					let genetic_blocker = -1
					
					let scoreboard_obj = scoreboard.getObjective('Heroes.Genetic.Blocker.Type');
					if (scoreboard_obj != null) {
                    let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
                    let value = score.getScore();
					genetic_blocker = value
					}
					
					let power_max = global.power_amount;
					let genetic_stability = palladium.getProperty(entity, "heroes:genetic_stability").toString()
					entity.tell("Genetic Stability : " + genetic_stability + "%")
					let ability_amount = 0
					if (genetic_blocker == 33 || genetic_blocker == 34) {
					entity.tell("Genetic blocker found for : Ocular_Psychogenesis")
					}
					
					if (genetic_blocker >= 0 && genetic_blocker != 33 && genetic_blocker != 34) {
					let power_cap = global['ability_' + genetic_blocker];
					entity.tell("Genetic blocker found for : " + power_cap)
					}
					entity.tell("----------------------")
					entity.tell("The following genetic markers were found : ")
					
					for (let power_list = 0; power_list <= power_max; power_list++) {
						let power_cap = global['ability_' + power_list];
						let power = power_cap.toString().toLowerCase();
						
					let scoreboard_hold = scoreboard.getObjective("Powers." + power_cap);
					let scoreboard_hold_1 = scoreboard.getObjective("Powers.Intuitive." + power_cap);
					if (scoreboard_hold != null && scoreboard_hold_1 != null) {
                    let score_hold = scoreboard.getOrCreatePlayerScore(username, scoreboard_hold);
                    let score_hold_1 = scoreboard.getOrCreatePlayerScore(username, scoreboard_hold_1);
                    let value_hold = score_hold.getScore();
                    let value_hold_1 = score_hold_1.getScore();
					if (value_hold >= 1 || value_hold_1 >= 1) {
						ability_amount += 1
						entity.tell("- " + power_cap)
							}
						}		
					}	
					if (ability_amount == 0) {
						entity.tell("No abnormalities found.")
					}					
                }
            });
    });